public abstract class Entity
{

    public float X { get; set; } = 0f;
    public float Y { get; set; } = 0f;
    
    public Entity()
    {
        
    }

    public Entity Kill()
    {
        return this;
    }

}